import 'package:flutter/material.dart';
import 'package:gap/gap.dart';
import 'package:tp5/roster/widgets/w_airport.dart';

const double defaultSize = 18;

class WCitypair extends StatelessWidget {
  const WCitypair(
      {super.key,
      required this.iata1,
      required this.iata2,
      this.size = defaultSize,
      this.color});

  final String iata1;
  final String iata2;
  final double size;
  final Color? color;

  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        WAirport(iata: iata1, size: size, color: color),
        Gap(3 * size / defaultSize),
        Icon(Icons.arrow_right_alt, size: size),
        Gap(3 * size / defaultSize),
        WAirport(iata: iata2, size: size, color: color),
      ],
    );
  }
}
